﻿using Infragistics.Controls.Menus;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamMenuException
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
        List<string> allSubItems = new List<string>();

        private void XamMenuItem_SubmenuOpened(object sender, EventArgs e)
        {
            StringBuilder str = new StringBuilder();
            getSubItems((sender as XamMenuItem));

            foreach (var element in allSubItems)
                str.AppendLine(element);

            MessageBox.Show(str.ToString());
        }

        public void getSubItems(XamMenuItem parentItem)
        {
            foreach (XamMenuItem item in parentItem.Items)
            {
                allSubItems.Add(item.Header.ToString());
                if (item.Items.Count > 0)
                {
                    getSubItems(item);
                }
            }
        }
    }
}
